Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#255 segment fault in "ica" when conect - linux

iTALC 2
open
nobody
5
2015-01-27
2013-10-03
staltux
No

the ica get a seg fault when italc conect, same for "root" user

arch linux X86_64
compiled from last stable source

Thu Oct 3 16:49:03 2013: [INFO] Startup for user "alex" with arguments ("./ica")
Thu Oct 3 16:49:03 2013: [INFO] Ipc::Master: listening at port 60506
Thu Oct 3 16:49:03 2013: [INFO] Starting slave "SystemTrayIcon" at port 60506
Thu Oct 3 16:49:03 2013: [INFO] Exec
Thu Oct 3 16:49:03 2013: [WARN] Could not find JavaViewer files. Check your iTALC installation!
03/10/2013 16:49:03 passing arg to libvncserver: -rfbport
03/10/2013 16:49:03 passing arg to libvncserver: 11100
03/10/2013 16:49:03 x11vnc version: 0.9.13 lastmod: 2010-12-27 pid: 30794
03/10/2013 16:49:03 Using X display :0.0
03/10/2013 16:49:03 rootwin: 0x8e reswin: 0xe00001 dpy: 0x400fe20
03/10/2013 16:49:03
03/10/2013 16:49:03 ------------------ USEFUL INFORMATION ------------------
03/10/2013 16:49:03 X DAMAGE available on display, using it for polling hints.
03/10/2013 16:49:03 To disable this behavior use: '-noxdamage'
03/10/2013 16:49:03
03/10/2013 16:49:03 Most compositing window managers like 'compiz' or 'beryl'
03/10/2013 16:49:03 cause X DAMAGE to fail, and so you may not see any screen
03/10/2013 16:49:03 updates via VNC. Either disable 'compiz' (recommended) or
03/10/2013 16:49:03 supply the x11vnc '-noxdamage' command line option.
03/10/2013 16:49:03
03/10/2013 16:49:03 Wireframing: -wireframe mode is in effect for window moves.
03/10/2013 16:49:03 If this yields undesired behavior (poor response, painting
03/10/2013 16:49:03 errors, etc) it may be disabled:
03/10/2013 16:49:03 - use '-nowf' to disable wireframing completely.
03/10/2013 16:49:03 - use '-nowcr' to disable the Copy Rectangle after the
03/10/2013 16:49:03 moved window is released in the new position.
03/10/2013 16:49:03 Also see the -help entry for tuning parameters.
03/10/2013 16:49:03 You can press 3 Alt_L's (Left "Alt" key) in a row to
03/10/2013 16:49:03 repaint the screen, also see the -fixscreen option for
03/10/2013 16:49:03 periodic repaints.
03/10/2013 16:49:03
03/10/2013 16:49:03 XFIXES available on display, resetting cursor mode
03/10/2013 16:49:03 to: '-cursor most'.
03/10/2013 16:49:03 to disable this behavior use: '-cursor arrow'
03/10/2013 16:49:03 or '-noxfixes'.
03/10/2013 16:49:03 using XFIXES for cursor drawing.
03/10/2013 16:49:03 GrabServer control via XTEST.
03/10/2013 16:49:03
03/10/2013 16:49:03 Scroll Detection: -scrollcopyrect mode is in effect to
03/10/2013 16:49:03 use RECORD extension to try to detect scrolling windows
03/10/2013 16:49:03 (induced by either user keystroke or mouse input).
03/10/2013 16:49:03 If this yields undesired behavior (poor response, painting
03/10/2013 16:49:03 errors, etc) it may be disabled via: '-noscr'
03/10/2013 16:49:03 Also see the -help entry for tuning parameters.
03/10/2013 16:49:03 You can press 3 Alt_L's (Left "Alt" key) in a row to
03/10/2013 16:49:03
03/10/2013 16:49:03 Default visual ID: 0x20
03/10/2013 16:49:03 Read initial data from X display into framebuffer.
03/10/2013 16:49:03 initialize_screen: fb_depth/fb_bpp/fb_Bpl 24/32/5464
03/10/2013 16:49:03 WARNING: Width (1366) is not a multiple of 4. VncViewer has problems with that.
03/10/2013 16:49:03
03/10/2013 16:49:03 X display :0.0 is 32bpp depth=24 true color
03/10/2013 16:49:03
03/10/2013 16:49:03 Listening for VNC connections on TCP port 11100
03/10/2013 16:49:03 Listening also on IPv6 port 11100 (socket 21)
03/10/2013 16:49:03 Xinerama: Library libXinerama is not available to determine
03/10/2013 16:49:03 Xinerama: the head geometries, consider using -blackout
03/10/2013 16:49:03 Xinerama: if the screen is non-rectangular.
03/10/2013 16:49:03 fb read rate: 723 MB/sec
03/10/2013 16:49:03 fast read: reset -wait ms to: 10
03/10/2013 16:49:03 fast read: reset -defer ms to: 10
03/10/2013 16:49:03 The X server says there are 13 mouse buttons.
03/10/2013 16:49:03 screen setup finished.
03/10/2013 16:49:03

The VNC desktop is: darkstar:5200
03/10/2013 16:49:03 possible aliases: darkstar:11100, darkstar::11100
PORT=11100


Have you tried the x11vnc '-ncache' VNC client-side pixel caching feature yet?

The scheme stores pixel data offscreen on the VNC viewer side for faster
retrieval. It should work with any VNC viewer. Try it by running:

x11vnc -ncache 10 ...

One can also add -ncache_cr for smooth 'copyrect' window motion.
More info: http://www.karlrunge.com/x11vnc/faq.html#faq-client-caching

03/10/2013 16:49:09 Got connection from client 127.0.0.1
03/10/2013 16:49:09 other clients:
caught signal: 11
03/10/2013 16:49:09 deleted 43 tile_row polling images.

Related

Bugs: #255

Discussion

  • Marcel
    Marcel
    2013-11-07

    I've got the same problem on a Ubuntu PC. It happens since the Upgrade from Ubuntu 13.04 to 13.10 and affects ica 2.0.0 and 2.0.1. It's independent from the window manager: notion and KDE both have the problem.

     
    Last edit: Marcel 2013-11-07
  • Fabian Vogt
    Fabian Vogt
    2014-01-14

    Same issue here, openSUSE 13.1 x86.

     
    • Fixed in commit 562f18cdddc847e84ce0f73da535b996f8f0fd45 already. Use this
      patch to fix it until next release.

      2014/1/14 Fabian Vogt thevogtinator@users.sf.net

      Same issue here, openSUSE 13.1 x86.

      Status: open
      Labels: segment fault linux
      Created: Thu Oct 03, 2013 07:54 PM UTC by staltux
      Last Updated: Thu Nov 07, 2013 11:00 AM UTC
      Owner: nobody

      the ica get a seg fault when italc conect, same for "root" user

      arch linux X86_64
      compiled from last stable source

      Thu Oct 3 16:49:03 2013: [INFO] Startup for user "alex" with arguments
      ("./ica")
      Thu Oct 3 16:49:03 2013: [INFO] Ipc::Master: listening at port 60506
      Thu Oct 3 16:49:03 2013: [INFO] Starting slave "SystemTrayIcon" at port
      60506
      Thu Oct 3 16:49:03 2013: [INFO] Exec
      Thu Oct 3 16:49:03 2013: [WARN] Could not find JavaViewer files. Check
      your iTALC installation!
      03/10/2013 16:49:03 passing arg to libvncserver: -rfbport
      03/10/2013 16:49:03 passing arg to libvncserver: 11100
      03/10/2013 16:49:03 x11vnc version: 0.9.13 lastmod: 2010-12-27 pid: 30794
      03/10/2013 16:49:03 Using X display :0.0
      03/10/2013 16:49:03 rootwin: 0x8e reswin: 0xe00001 dpy: 0x400fe20
      03/10/2013 16:49:03
      03/10/2013 16:49:03 ------------------ USEFUL INFORMATION


      03/10/2013 16:49:03 X DAMAGE available on display, using it for polling
      hints.
      03/10/2013 16:49:03 To disable this behavior use: '-noxdamage'
      03/10/2013 16:49:03
      03/10/2013 16:49:03 Most compositing window managers like 'compiz' or
      'beryl'
      03/10/2013 16:49:03 cause X DAMAGE to fail, and so you may not see any
      screen
      03/10/2013 16:49:03 updates via VNC. Either disable 'compiz' (recommended)
      or
      03/10/2013 16:49:03 supply the x11vnc '-noxdamage' command line option.
      03/10/2013 16:49:03
      03/10/2013 16:49:03 Wireframing: -wireframe mode is in effect for window
      moves.
      03/10/2013 16:49:03 If this yields undesired behavior (poor response,
      painting
      03/10/2013 16:49:03 errors, etc) it may be disabled:
      03/10/2013 16:49:03 - use '-nowf' to disable wireframing completely.
      03/10/2013 16:49:03 - use '-nowcr' to disable the Copy Rectangle after the
      03/10/2013 16:49:03 moved window is released in the new position.
      03/10/2013 16:49:03 Also see the -help entry for tuning parameters.
      03/10/2013 16:49:03 You can press 3 Alt_L's (Left "Alt" key) in a row to
      03/10/2013 16:49:03 repaint the screen, also see the -fixscreen option for
      03/10/2013 16:49:03 periodic repaints.
      03/10/2013 16:49:03
      03/10/2013 16:49:03 XFIXES available on display, resetting cursor mode
      03/10/2013 16:49:03 to: '-cursor most'.
      03/10/2013 16:49:03 to disable this behavior use: '-cursor arrow'
      03/10/2013 16:49:03 or '-noxfixes'.
      03/10/2013 16:49:03 using XFIXES for cursor drawing.
      03/10/2013 16:49:03 GrabServer control via XTEST.
      03/10/2013 16:49:03
      03/10/2013 16:49:03 Scroll Detection: -scrollcopyrect mode is in effect to
      03/10/2013 16:49:03 use RECORD extension to try to detect scrolling windows
      03/10/2013 16:49:03 (induced by either user keystroke or mouse input).
      03/10/2013 16:49:03 If this yields undesired behavior (poor response,
      painting
      03/10/2013 16:49:03 errors, etc) it may be disabled via: '-noscr'
      03/10/2013 16:49:03 Also see the -help entry for tuning parameters.
      03/10/2013 16:49:03 You can press 3 Alt_L's (Left "Alt" key) in a row to
      03/10/2013 16:49:03
      03/10/2013 16:49:03 Default visual ID: 0x20
      03/10/2013 16:49:03 Read initial data from X display into framebuffer.
      03/10/2013 16:49:03 initialize_screen: fb_depth/fb_bpp/fb_Bpl 24/32/5464
      03/10/2013 16:49:03 WARNING: Width (1366) is not a multiple of 4.
      VncViewer has problems with that.
      03/10/2013 16:49:03
      03/10/2013 16:49:03 X display :0.0 is 32bpp depth=24 true color
      03/10/2013 16:49:03
      03/10/2013 16:49:03 Listening for VNC connections on TCP port 11100
      03/10/2013 16:49:03 Listening also on IPv6 port 11100 (socket 21)
      03/10/2013 16:49:03 Xinerama: Library libXinerama is not available to
      determine
      03/10/2013 16:49:03 Xinerama: the head geometries, consider using -blackout
      03/10/2013 16:49:03 Xinerama: if the screen is non-rectangular.
      03/10/2013 16:49:03 fb read rate: 723 MB/sec
      03/10/2013 16:49:03 fast read: reset -wait ms to: 10
      03/10/2013 16:49:03 fast read: reset -defer ms to: 10
      03/10/2013 16:49:03 The X server says there are 13 mouse buttons.
      03/10/2013 16:49:03 screen setup finished.
      03/10/2013 16:49:03

      The VNC desktop is: darkstar:5200
      03/10/2013 16:49:03 possible aliases: darkstar:11100, darkstar::11100
      PORT=11100


      Have you tried the x11vnc '-ncache' VNC client-side pixel caching feature
      yet?

      The scheme stores pixel data offscreen on the VNC viewer side for faster
      retrieval. It should work with any VNC viewer. Try it by running:

      x11vnc -ncache 10 ...

      One can also add -ncache_cr for smooth 'copyrect' window motion.
      More info: http://www.karlrunge.com/x11vnc/faq.html#faq-client-caching

      03/10/2013 16:49:09 Got connection from client 127.0.0.1
      03/10/2013 16:49:09 other clients:
      caught signal: 11
      03/10/2013 16:49:09 deleted 43 tile_row polling images.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/italc/bugs/255/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #255

      Attachments
  • Where is the patch? Please...

     
    Last edit: Germán Méndez González 2014-05-15